<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Class CreateVzdelavanieTestovanieTestyTable
 */
return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vzdelavanie_testovanie_testy', function (Blueprint $table) {
            $table->id();

            $table->text('nazov');
            $table->longText('popis')->nullable();
            $table->integer('pocet_otazok')->default(3);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vzdelavanie_testovanie_testy');
    }
};
